[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: apt and pin (?)

Le Mon, Jul 01, 2002 at 10:20:33AM +0000, Wilmer van der Gaast a écrit:
> Julien Danjou@lists.debian-devel@Mon, 1 Jul 2002 06:01:58 +0200:
> >  When I build my own package on my system with the lastest source,
> >  an "apt-get upgrade" will replace my package; for example
> >  if i do "apt-get source --build wmaker" and "dpkg -i wmaker*.deb",=20
> >  an "apt-get updgrade" will install the same version of wmaker, but
> >  from official Debian repository.
> >  
> Ahh, yes, I know this problem. Just give your own package a higher
> version number and it's gone. Add .0 to to the debian revision so it'll
> look like a newer NMU. Any new (non-NMU) release will be seen by apt and
> it will be installed, and the release currently in the Debian archive
> won't because its version numer is lower.

Yes, I'll use this solution, thanks a lot !

Julien Danjou

 .''`. Debian developer
: :' : http://hno3.org
`. `'  http://people.debian.org/~acid
  `-   GPG: 9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD

To UNSUBSCRIBE, email to debian-devel-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Reply to: